Subject: Re: [POWERPC 7/9] ps3: add a default zImage target

From: Geoff Levand <[email-masked]>
Date: Mon, 27 Nov 2006 16:59:41 -0800

Arnd Bergmann wrote:
> It's currently not possible to build the default zImage
> target if PS3 is the only selected platform. This is
> a hack to fall back to building the pseries style
> zImage, so the build is successful. This will probably
> change in the future, if someone writes a PS3 specific
> boot wrapper.
> 
> Signed-off-by: Arnd Bergmann <[email-masked]>
> Index: linux-2.6/arch/powerpc/boot/Makefile
> ===================================================================
> --- linux-2.6.orig/arch/powerpc/boot/Makefile
> +++ linux-2.6/arch/powerpc/boot/Makefile
> @@ -155,6 +155,7 @@ $(obj)/uImage: vmlinux $(wrapperbits)
>  image-$(CONFIG_PPC_PSERIES)		+= zImage.pseries
>  image-$(CONFIG_PPC_MAPLE)		+= zImage.pseries
>  image-$(CONFIG_PPC_IBM_CELL_BLADE)	+= zImage.pseries
> +image-$(CONFIG_PPC_PS3)			+= zImage.pseries
>  image-$(CONFIG_PPC_CHRP)		+= zImage.chrp
>  image-$(CONFIG_PPC_PMAC)		+= zImage.pmac
>  image-$(CONFIG_DEFAULT_UIMAGE)		+= uImage

A better solution here is to make image-$(CONFIG_PPC_PS3) a stripped
vmlinux, which the current PS3 bootloader (2.6.16 kboot) will be able
to load.

I'll set that up and send out a new patch.

I started work on that zImage bootwrapper, but I have other items I'm
tring to finish up.

-Geoff